GET
Get Customer Details

Authorizations

app-id
string
header
required

A unique identifier assigned to each application.

secret-key
string
header
required

A secure token associated with the app-id.

Query Parameters

uuid
string
required

Customer UUID

Response

OK

uuid
string

Customer uuid

email
string

Customer's email

first_name
string

Customer's first name

last_name
string

Customer's last name

middle_name
string

Customer's middle name

dob
string

Customer date of birth format 'yyyy-mm-dd'

phone
string

Customer's phone

Example:

"+61-412345678"

gender
enum<string>

Customer's Gender

Available options:
male,
female,
other
Example:

"male"

street
string

The primary name of an address's street.

street2
string

The secondary name of an address's street.

city
string

Name of an address's city or town.

postal_code
string

The address's postcode

state
string

The address's state / province / county.

country
string

ISO 3166-1 alpha-2 country code.

identity
object